io.milvus.response

## Class SearchResultsWrapper.IDScore

- java.lang.Object
- - io.milvus.response.SearchResultsWrapper.IDScore

Enclosing class:
  SearchResultsWrapper

    public static final class SearchResultsWrapper.IDScore
    extends java.lang.Object

Internal-use class to wrap response of `search` interface.

### Constructor Summary

Constructors
Constructor and Description
`IDScore(java.lang.String strID, long longID, float score)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `contains(java.lang.String keyName)` Test if a key exists
`java.lang.Object` `get(java.lang.String keyName)` Get a value by a key name.
`boolean` `put(java.lang.String keyName, java.lang.Object obj)`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### IDScore

    public IDScore(java.lang.String strID,
                   long longID,
                   float score)

### Method Detail

#### put

    public boolean put(java.lang.String keyName,
                       java.lang.Object obj)

#### get

    public java.lang.Object get(java.lang.String keyName)
                         throws ParamException

Get a value by a key name. If the key name is a field name, return the value of this field. If the key name is in dynamic field, return the value from the dynamic field. Throws `ParamException` if the key name doesn't exist.

Parameters:
  `keyName` - a field name or a dynamic field name
Returns:
  `Object`
Throws:
  `ParamException`

#### contains

    public boolean contains(java.lang.String keyName)

Test if a key exists

Parameters:
  `keyName` - a field name or a dynamic field name
Returns:
  boolean

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`